import 'tachyons'
import './styles/index.css'

import Vue from 'vue'

import store from './store.js'

import Home from './Home.vue'
import App from './App.vue'
import UploadView from './UploadView.vue'
import DownloadView from './DownloadView.vue'
import AdminView from './AdminView.vue'
import GetWorker from './workerInterface.js'
import Router from 'vue-router'
import Api from './api.js'

//window.api = Api

Vue.use(Router)

const router = new Router({ 
    routes: [
        {
            path: '/',
            name: 'home',
            component: Home,
        },
        {
            path:'/u/:uploadId',
            name: 'upload',
            component: UploadView,
            props: true,
        },
        {
            path:'/d/:dlId',
            name: 'download',
            component: DownloadView,
            props: true,
        },
        {
            // Redeem view
            path:'/r/:adminToken',
            name: 'admin',
            component: AdminView,
            props: true,
        }

        ]
})

//const router = new VueRouter({
    //routes
//})


const app = new Vue({
    template: '<App/>',
    components: { App },
    router: router,
    store
}).$mount('#app')

//window.worker = GetWorker('main')


